%define upstream_name		Spreadsheet-ParseExcel
%define upstream_version 0.66

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Spreadsheet::ParseExcel - Get information from Excel file
License:    GPL
Group:      Office/Spreadsheet
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Spreadsheet/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::RC4)
BuildRequires: perl(Digest::Perl::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(OLE::Storage_Lite) >= 0.190.0
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
Spreadsheet::ParseExcel makes you to get information
from Excel95, Excel97, Excel2000 file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples sample
%{perl_vendorlib}/Spreadsheet
%{_mandir}/*/*

%changelog
* Mon Jan 01 2024 tv <tv> 1:0.660.0-1.mga10
+ Revision: 2025405
- update to 0.66

* Mon Mar 21 2022 umeabot <umeabot> 1:0.650.0-9.mga9
+ Revision: 1810211
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:0.650.0-8.mga8
+ Revision: 1506185
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1:0.650.0-7.mga7
+ Revision: 1286057
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 1:0.650.0-6.mga7
+ Revision: 1247649
- fix filelist
- rebuild for perl 5.28

* Sun Jun 19 2016 pterjan <pterjan> 1:0.650.0-5.mga6
+ Revision: 1033321
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1:0.650.0-4.mga6
+ Revision: 931729
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.650.0-3.mga5
+ Revision: 740517
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.650.0-2.mga5
+ Revision: 686220
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 jquelin <jquelin> 1:0.650.0-1.mga5
+ Revision: 608428
- update to 0.65

* Thu Mar 13 2014 jquelin <jquelin> 1:0.640.0-1.mga5
+ Revision: 603000
- update to 0.64

* Fri Feb 28 2014 jquelin <jquelin> 1:0.600.0-1.mga5
+ Revision: 597890
- update to 0.60

* Fri Oct 18 2013 umeabot <umeabot> 1:0.590.0-3.mga4
+ Revision: 521840
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 1:0.590.0-2.mga3
+ Revision: 391991
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 07 2011 jquelin <jquelin> 1:0.590.0-1.mga1
+ Revision: 81864
- update to 0.59

* Fri Jan 21 2011 jquelin <jquelin> 1:0.580.0-1.mga1
+ Revision: 28768
- mageia rebuild
- imported package perl-Spreadsheet-ParseExcel

